Subject: Re: bug#70529: Several packages have dbus service files with broken file paths

From: 宋文武 <[email-masked]>
Date: Thu, 25 Apr 2024 18:34:58 +0800

Nathan Dehnel <[email-masked]> writes:

> I was investigating powerdevil and snapper being broken and I
> discovered packages with incorrect file paths in the Exec line of
> their dbus services
>
> $ ls -d /gnu/store/**/share/dbus-1/services/** | grep -v
> profile/share/dbus-1 | while read line; do grep Exec $line 2>
> /dev/null | grep -v /gnu/store && echo $line >>/dev/stderr; done
> Exec=libexec/fontinst
> /gnu/store/6hz6j922gs1861h49id3ddjsg02cwkl1-plasma-workspace-5.27.7/share/dbus-1/services/org.kde.fontinst.service
> Exec=libexec/fontinst
> /gnu/store/nv8ccgy6jzfjkik5c5vy6id7dplnbb1y-plasma-workspace-5.27.7/share/dbus-1/services/org.kde.fontinst.service
> [...]

Hello, thank you the report, I have send a patch to fix this (tested
fine with ktexteditor and plasma-disks).